{
  buildHomeAssistantComponent,
  fetchFromGitHub,
  pkgs,
  # namespace,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "HASwitchPlate";
  domain = "openhasp";
  version = "0.7.8";

  src = fetchFromGitHub {
    owner = owner;
    repo = "openHASP-custom-component";
    rev = version;
    hash = "sha256-5h1EqwpnsmWexqB3J/X4OcN9bfBYUxGxLF1Hrmoi5LY=";
  };

  nativeBuildInputs = with pkgs.python3Packages; [
    jsonschema
  ];

  meta = {
    changelog = "https://github.com/HASwitchPlate/openHASP-custom-component/releases/tag/${version}";
    description = "This custom component simplifies synchronization of objects on one or more openHASP";
    homepage = "https://github.com/HASwitchPlate/openHASP-custom-component";
    maintainers = [ ];
  };
}
